Package org.eclipse.cdt.core.resources

# Interface IConsole

public interface IConsole
CDT console adaptor interface providing output streams. The adaptor provides the means of access to UI plugin console streams.

## Method Summary

Modifier and Type
Method
Description
`ConsoleOutputStream`
`getErrorStream()`
Get the stream that shows up as output in the console.
`ConsoleOutputStream`
`getInfoStream()`
Get the stream that shows up as information messages in the console.
`ConsoleOutputStream`
`getOutputStream()`
Get the stream that shows up as output in the console.
`void`
`start(org.eclipse.core.resources.IProject project)`
Start the console for a given project.

## Method Details

### start

void start(org.eclipse.core.resources.IProject project)
Start the console for a given project.

Parameters:
  `project` - - the project to start the console.

### getOutputStream

ConsoleOutputStream getOutputStream() throws org.eclipse.core.runtime.CoreException
Get the stream that shows up as output in the console. This is typically connected to the output of the build process.

Throws:
  `org.eclipse.core.runtime.CoreException`

### getInfoStream

ConsoleOutputStream getInfoStream() throws org.eclipse.core.runtime.CoreException
Get the stream that shows up as information messages in the console. This is typically not connected to the output of the build process. Typically information messages, such as build started and build completed messages are written to the info stream.

Throws:
  `org.eclipse.core.runtime.CoreException`

### getErrorStream

ConsoleOutputStream getErrorStream() throws org.eclipse.core.runtime.CoreException
Get the stream that shows up as output in the console. This is typically connected to the error output of the build process and errors detected when launching the process can be output to here as well.

Throws:
  `org.eclipse.core.runtime.CoreException`